=== debian/changelog ===
gcc-3.3 (1:3.3.6ds1-34) unstable; urgency=medium

  * QA upload.
  * Fix dynamically generating README.Debian.

 -- Bastian Germann <bage@debian.org>  Wed, 24 Aug 2022 12:17:57 +0200

gcc-3.3 (1:3.3.6ds1-33) unstable; urgency=medium

  * QA upload.
  * Upgrade to 3.0 source format (Closes: #1007604).
  * Clear TODO (not related to libstdc++5).
  * Remove maintainers from README.Debian (orphaned).
  * Remove appearances of netbsd port.

 -- Bastian Germann <bage@debian.org>  Wed, 24 Aug 2022 11:17:36 +0200

gcc-3.3 (1:3.3.6ds1-32) unstable; urgency=medium

  * Orphan the package.

 -- Philipp Kern <pkern@debian.org>  Wed, 12 Aug 2020 20:41:21 +0200

gcc-3.3 (1:3.3.6ds1-31) unstable; urgency=medium

  * Bump debhelper compat level to 7.

 -- Philipp Kern <pkern@debian.org>  Sun, 12 Jul 2020 10:40:17 +0200

gcc-3.3 (1:3.3.6ds1-30) unstable; urgency=medium

  * Use ucontext_t instead of struct ucontext. (Closes: #887782)
  * Clarify that libstdc++5 is only still around for proprietary
    binaries that cannot be recompiled in the package's description.
    (Closes: #887783, #855851)

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Feb 2018 16:11:34 +0100

gcc-3.3 (1:3.3.6ds1-29) unstable; urgency=medium

  * Stop build-depending on realpath, as it has been replaced with
    coreutils, which is essential. (Closes: #877815)
  * Drop Marc from Uploaders. (Closes: #873347)

 -- Philipp Kern <pkern@debian.org>  Sat, 07 Oct 2017 22:58:20 +0200

gcc-3.3 (1:3.3.6ds1-28) unstable; urgency=medium

  * Use debhelper compat level 5 instead of 2, 3, and 5. (Closes: #800267)

 -- Philipp Kern <pkern@debian.org>  Sun, 22 Nov 2015 20:18:09 +0000

gcc-3.3 (1:3.3.6ds1-27.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use a nonempty default target architecture as dpkg-architecture no
    longer supports "-a" without argument. (Closes: #770352)

 -- Simon Richter <sjr@debian.org>  Sun, 23 Nov 2014 18:58:06 +0100

gcc-3.3 (1:3.3.6ds1-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop all references to automake1.4 this time. (Closes: #724009)

 -- Eric Dorland <eric@debian.org>  Tue, 25 Feb 2014 15:42:55 -0500

gcc-3.3 (1:3.3.6ds1-27) unstable; urgency=low

  * Fix compilation on i386 and powerpc by using siginfo_t instead of
    struct siginfo.

 -- Philipp Kern <pkern@debian.org>  Sat, 16 Nov 2013 23:42:31 +0100

gcc-3.3 (1:3.3.6ds1-26) unstable; urgency=low

  * Stop build-depending on automake1.4. Patch by Eric Dorland.
    (Closes: #724009)
  * Use debhelper compat level 5 to avoid FTBFS due to removal of
    ancient compatibility levels.

 -- Philipp Kern <pkern@debian.org>  Wed, 13 Nov 2013 01:23:15 +0100

gcc-3.3 (1:3.3.6ds1-25) unstable; urgency=low

  * Multiarch'ify libstdc++5.
    Thanks to Felix Geyer <debfx-pkg@fobos.de> for the full patch!
    (Closes: #636277)
  * Drop lpia everywhere.

 -- Philipp Kern <pkern@debian.org>  Mon, 10 Oct 2011 22:26:38 +0200

gcc-3.3 (1:3.3.6ds1-24) unstable; urgency=low

  * Fix FTBFS with multiarch.  (Closes: #629665)

 -- Philipp Kern <pkern@debian.org>  Mon, 01 Aug 2011 22:53:10 +0200

gcc-3.3 (1:3.3.6ds1-23) unstable; urgency=low

  * Fix FTBFS with -D_FORTIFY_SOURCE=2.  (Closes: #620158)

 -- Philipp Kern <pkern@debian.org>  Thu, 05 May 2011 23:01:54 +0200

gcc-3.3 (1:3.3.6ds1-22) unstable; urgency=low

  * Export SHELL from debian/rules.defs, to override any wrong variable
    content inherited from the outside environment.  (Closes: #614114)
  * Drop the alternative automake build-dependency and stick to automake1.4
    only.

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Mar 2011 14:35:31 +0100

gcc-3.3 (1:3.3.6ds1-21) unstable; urgency=low

  * Drop explicit build dependency on gcc-4.1.  (Closes: #613660)

 -- Philipp Kern <pkern@debian.org>  Wed, 16 Feb 2011 23:02:56 +0100

gcc-3.3 (1:3.3.6ds1-20) unstable; urgency=low

  * rules.defs: Set GFDL_INVARIANT_FREE unconditionally to `yes'.
    (Closes: #586011)

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Jun 2010 13:12:54 +0200

gcc-3.3 (1:3.3.6ds1-19) unstable; urgency=low

  * New maintainer.
  * Reintroduce the package into Debian unstable to be released with
    Debian squeeze.
  * Build with gcc-4.1 instead of gcc-3.4 because the latter is no longer
    available.
  * Add symbol files as generated by mole for amd64, i386 and powerpc.
  * Drop lpia for missing symbol files.

 -- Philipp Kern <pkern@debian.org>  Thu, 25 Feb 2010 12:03:31 +0100

gcc-3.3 (1:3.3.6ds1-18) unstable; urgency=low

  * Build libstdc++5 on powerpc again, needed by some JVM's.
  * Remove build dependency on expect-tcl8.3 (package is not built anymore
    on hppa). Closes: #472984.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Jul 2008 21:08:10 +0200

gcc-3.3 (1:3.3.6ds1-17) unstable; urgency=low

  * libstdc++5: Remove dependency on gcc-3.3-base. Closes: #473366.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 10:58:08 +0200

gcc-3.3 (1:3.3.6ds1-16) unstable; urgency=low

  * Don't build compiler packages from the gcc-3.3 source. The only package
    built is libstdc++5 (amd64, i386).
  * Build-depend on gcc-3.4 instead of gcc-3.3.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2008 15:11:54 +0100

gcc-3.3 (1:3.3.6ds1-15) unstable; urgency=medium

  * Fix biarch related build failure on s390.
  * Don't build the gcc-3.3-hppa64 package on hppa.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Jan 2007 18:51:06 +0100

gcc-3.3 (1:3.3.6ds1-14) unstable; urgency=low

  * Build without GFDL licensed docs. Closes: #193787.
    - debian/*.texi, debian/porting.html: Add dummy documentation.
    - debian/rules.unpack, debian/rules.patch: Update for non-gfdl build.
  * Don't build cpp-3.3-doc, gcc-3.3-doc, packages.
  * Merge from Ubuntu:
    - Backport the biarch-include patches from gcc-3.4,
      adding /usr/include/<target_alias> to the standard include path.
      Fixes build failure on sparc.
    - Remove the multilib part from the multiarch-include patch.

