=== debian/control ===
Source: gcc-3.3
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.6.2
Build-Depends: dpkg-dev (>= 1.16.0), libc0.3-dev [hurd-i386] | libc0.1-dev [kfreebsd-i386] | libc6-dev (>= 2.3.2.ds1-16), m4, autoconf2.13, libtool, autotools-dev, gawk, dejagnu (>= 1.4.3) [!hurd-i386], bzip2, binutils (>= 2.15-7) | binutils-multiarch (>= 2.15-7), debhelper (>= 8.1.3), gperf (>= 2.7-3), bison (>= 1:1.875), flex, gettext, texinfo (>= 4.3), zlib1g-dev, libgc-dev, locales [!hurd-i386 !hurd-i386], procps [!hurd-i386], sharutils, lsb-release, doxygen (>= 1.4.2-3), graphviz (>= 2.2), gsfonts-x11

Package: libstdc++5
Architecture: amd64 i386 powerpc
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The GNU Standard C++ Library v3
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 This package contains an old version of libstdc++ intended solely for
 compatibility with proprietary binaries that cannot be recompiled.
