=== debian/watch ===
version=2
ftp://gcc.gnu.org/pub/gcc/releases/gcc-(3\.3[\d\.]*)	debian	uupdate
